package com.ruoyi.sim.mapper;

import java.util.List;

import com.ruoyi.sim.domain.Seat;

/**
 * 座Mapper接口
 *
 * @author tom
 * @date 2024-12-13
 */
public interface SeatMapper {
    /**
     * 查询座
     *
     * @param seatId 座主键
     * @return 座
     */
    public Seat selectSeatBySeatId(Long seatId);

    /**
     * 查询座列表
     *
     * @param seat 座
     * @return 座集合
     */
    public List<Seat> selectSeatList(Seat seat);

    /**
     * 新增座
     *
     * @param seat 座
     * @return 结果
     */
    public int insertSeat(Seat seat);

    /**
     * 修改座
     *
     * @param seat 座
     * @return 结果
     */
    public int updateSeat(Seat seat);

    /**
     * 删除座
     *
     * @param seatId 座主键
     * @return 结果
     */
    public int deleteSeatBySeatId(Long seatId);

    /**
     * 批量删除座
     *
     * @param seatIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSeatBySeatIds(Long[] seatIds);
}

